# Runn API Documentation > Documentation for Runn API ## Guides - [Getting Started with the Runn API](https://developer.runn.io/docs/getting-started.md) - [Authentication](https://developer.runn.io/docs/authentication.md) - [Test Account](https://developer.runn.io/docs/test-account.md) - [Versioning](https://developer.runn.io/docs/versioning.md) - [Usage](https://developer.runn.io/docs/usage.md) - [Pagination](https://developer.runn.io/docs/pagination.md) - [Rate Limits](https://developer.runn.io/docs/rate-limits.md) - [Errors](https://developer.runn.io/docs/errors.md) - [FAQ](https://developer.runn.io/docs/faq.md) - [Guides](https://developer.runn.io/docs/endpoint-guides.md) - [Actuals (timesheets)](https://developer.runn.io/docs/actuals-notes.md) - [Time offs](https://developer.runn.io/docs/time-offs-1.md) - [Connect & automate Runn](https://developer.runn.io/docs/common-integrations.md) - [Support](https://developer.runn.io/docs/feedback.md) ## API Reference - [List events](https://developer.runn.io/reference/get_activity-log.md): Get a list of events that have occurred. Expand the RESPONSES (200) panel below to see supported events. Test accounts are not supported. More events will be added in the future. - [Create or update an actual](https://developer.runn.io/reference/post_actuals.md): Minutes values represent the total time for a day and overwrite any previous actual on the same day (for the same project/person/role/workstream). [Learn more](https://developer.runn.io/docs/actuals-notes). - [Create or update actuals in bulk](https://developer.runn.io/reference/post_actuals-bulk.md): Create or update up to 100 'actuals' in a single API call. [Learn more](https://developer.runn.io/docs/actuals-notes). - [Delete a specific actual](https://developer.runn.io/reference/delete_actuals-actualid.md): Deletes the actual record identified by the provided unique identifier `actualId`. This operation is irreversible and removes the actual record from the system. - [List actuals](https://developer.runn.io/reference/get_actuals.md) - [Update an actual](https://developer.runn.io/reference/post_actuals-time-entry.md): Returns Actual with updated minutes. Creates a new actual when there is none to update [Learn more](https://developer.runn.io/docs/actuals-notes). - [Create an assignment](https://developer.runn.io/reference/post_assignments.md): Creates a new assignment and returns a list of assignments. If the specified time period of the assignment overlaps with scheduled leave, the assignment is split into multiple segments. Each segment is returned as a separate assignment in the response. - [Delete an assignment](https://developer.runn.io/reference/delete_assignments-assignmentid.md) - [List assignments](https://developer.runn.io/reference/get_assignments.md): Get a list of assignments, paginated - [Create a client](https://developer.runn.io/reference/post_clients.md) - [Create clients in bulk](https://developer.runn.io/reference/post_clients-bulk.md): Create up to 100 'clients' in a single API call. [Learn more](https://developer.runn.io/docs/clients-notes). - [List clients](https://developer.runn.io/reference/get_clients.md) - [List a client's projects](https://developer.runn.io/reference/get_clients-clientid-projects.md) - [Show a client](https://developer.runn.io/reference/get_clients-clientid.md) - [Update a client](https://developer.runn.io/reference/patch_clients-clientid.md) - [List contracts](https://developer.runn.io/reference/get_contracts.md): See GET /people/{personId}/contracts to view all contracts for a specific person. See POST /people/{personId}/contracts to create a new contract for a person - [Update a contract](https://developer.runn.io/reference/patch_contracts-contractid.md): Update a contract - [Delete a checkbox custom field](https://developer.runn.io/reference/delete_custom-fields-checkbox-checkboxfieldid.md) - [Update a checkbox custom field](https://developer.runn.io/reference/patch_custom-fields-checkbox-checkboxfieldid.md) - [Create a checkbox custom field](https://developer.runn.io/reference/post_custom-fields-checkbox.md) - [List checkbox custom fields](https://developer.runn.io/reference/get_custom-fields-checkbox.md) - [Create a date custom field](https://developer.runn.io/reference/post_custom-fields-date.md) - [Delete a date custom field](https://developer.runn.io/reference/delete_custom-fields-date-id.md) - [List date custom fields](https://developer.runn.io/reference/get_custom-fields-date.md) - [Update a date custom field](https://developer.runn.io/reference/patch_custom-fields-date-datefieldid.md) - [Create a text custom field](https://developer.runn.io/reference/post_custom-fields-text.md) - [Delete a text custom field](https://developer.runn.io/reference/delete_custom-fields-text-textfieldid.md) - [Show a text custom field](https://developer.runn.io/reference/get_custom-fields-text.md) - [Update a text custom field](https://developer.runn.io/reference/patch_custom-fields-text-textfieldid.md) - [Create a select custom field](https://developer.runn.io/reference/post_custom-fields-select.md) - [Create a select custom field option](https://developer.runn.io/reference/post_custom-fields-select-selectfieldid-options.md) - [Delete a select custom field option](https://developer.runn.io/reference/delete_custom-fields-select-selectfieldid-options-selectoptionid.md) - [Delete a select custom field](https://developer.runn.io/reference/delete_custom-fields-select-selectfieldid.md) - [Show a select custom field](https://developer.runn.io/reference/get_custom-fields-select.md) - [Update a select custom field option](https://developer.runn.io/reference/patch_custom-fields-select-selectfieldid-options-selectoptionid.md) - [Update a select custom field](https://developer.runn.io/reference/patch_custom-fields-select-selectfieldid.md) - [List holiday groups](https://developer.runn.io/reference/get_holiday-groups.md) - [Show a holiday group](https://developer.runn.io/reference/get_holiday-groups-holidaygroupid.md) - [Show holidays for a holiday group](https://developer.runn.io/reference/get_holiday-groups-holidaygroupid-holidays.md) - [Create an invitation for a user](https://developer.runn.io/reference/post_invitations.md) - [Delete an invitation](https://developer.runn.io/reference/delete_invitations-invitationid.md) - [List invitations](https://developer.runn.io/reference/get_invitations.md): Get a list of invitations. Does not contain the invitation token for security reasons - [Who am I?](https://developer.runn.io/reference/get_me.md): Get information about the currently authenticated user. - [Create a person](https://developer.runn.io/reference/post_people.md): Also creates a new contract for the person - [Delete a person or placeholder](https://developer.runn.io/reference/delete_people-personid.md): Delete a person or placeholder by their ID; fails when person has existing assignments or actuals to preserve historical reports. Override this behaviour by using the force query flag. - [List people](https://developer.runn.io/reference/get_people.md) - [Show a person or placeholder](https://developer.runn.io/reference/get_people-personid.md) - [Update a person or placeholder](https://developer.runn.io/reference/patch_people-personid.md): To add a new role or job title to a person, see POST /people/{personId}/contracts. Archiving a person (isArchived: true) fails while they have ongoing or future contracts. Add an end date to each ongoing contract via PATCH /people/{personId}/contracts/{contractId}, and delete any contract that starts in the future via DELETE /people/{personId}/contracts/{contractId}, before archiving. - [List actuals for a person](https://developer.runn.io/reference/get_people-personid-actuals.md) - [List assignments for a person or placeholder](https://developer.runn.io/reference/get_people-personid-assignments.md) - [Add a new contract to a person](https://developer.runn.io/reference/post_people-personid-contracts.md) - [Update a contract for a person](https://developer.runn.io/reference/updatepersoncontract.md): Update one of a person's contracts. Adding an end date to an ongoing contract here lets the person be archived (see PATCH /people/{personId}). - [Delete a contract for a person](https://developer.runn.io/reference/delete_people-personid-contracts-contractid.md) - [List contracts for a person](https://developer.runn.io/reference/get_people-personid-contracts.md) - [List people current contracts](https://developer.runn.io/reference/get_people-contracts-current.md): List current contracts across all people - [Show current contract for a person](https://developer.runn.io/reference/get_people-personid-contracts-current.md) - [Add a checkbox custom value to a person or placeholder](https://developer.runn.io/reference/patch_people-personid-custom-fields-checkbox.md) - [Add custom select options to a person or placeholder](https://developer.runn.io/reference/patch_people-personid-custom-fields-select.md) - [Add a date custom value to a person or placeholder](https://developer.runn.io/reference/patch_people-personid-custom-fields-date.md) - [Add a text custom value to a person or placeholder](https://developer.runn.io/reference/patch_people-personid-custom-fields-text.md) - [List people custom fields](https://developer.runn.io/reference/get_people-custom-fields.md): List all custom fields across all people - [List people notes](https://developer.runn.io/reference/get_people-notes.md): List all person notes across all people - [Add project to a person or placeholder](https://developer.runn.io/reference/post_people-personid-projects.md) - [List projects for a person or placeholder](https://developer.runn.io/reference/get_people-personid-projects.md) - [Add a skill to a person or placeholder](https://developer.runn.io/reference/post_people-personid-skills.md) - [List people skills](https://developer.runn.io/reference/get_people-skills.md) - [List skills for a person or placeholder](https://developer.runn.io/reference/get_people-personid-skills.md) - [Remove a skill from a person or placeholder](https://developer.runn.io/reference/delete_people-personid-skills-skillid.md) - [Update a skill for a person or placeholder](https://developer.runn.io/reference/patch_people-personid-skills-skillid.md) - [List rostered time offs for a person](https://developer.runn.io/reference/get_people-personid-time-offs-rostered-off.md) - [List leave for a person](https://developer.runn.io/reference/get_people-personid-time-offs-leave.md) - [List holidays for a person](https://developer.runn.io/reference/get_people-personid-time-offs-holidays.md) - [Remove a person or placeholder from a team](https://developer.runn.io/reference/delete_people-personid-teams-teamid.md): This endpoint is deprecated. You may remove the person from a team using the `PATCH /people/:personId/` endpoint. - [Add a person or placeholder to a team](https://developer.runn.io/reference/post_people-personid-teams.md): This endpoint is deprecated. You may assign the person to a team using the `PATCH /people/:personId/` endpoint. - [Show current team for a person or placeholder](https://developer.runn.io/reference/get_people-personid-teams-current.md): This endpoint is deprecated. You may view the current team for a person using the `GET /people/:personId/` endpoint. - [Create a people tag](https://developer.runn.io/reference/post_people-tags.md) - [Delete a people tag](https://developer.runn.io/reference/delete_people-tags-peopletagid.md) - [List people tags](https://developer.runn.io/reference/get_people-tags.md) - [Show a people tag](https://developer.runn.io/reference/get_people-tags-peopletagid.md) - [Update a people tag](https://developer.runn.io/reference/patch_people-tags-peopletagid.md) - [Remove a skill from a placeholder](https://developer.runn.io/reference/delete_placeholders-placeholderid-skills-skillid.md) - [Add a skill to a placeholder](https://developer.runn.io/reference/post_placeholders-placeholderid-skills.md) - [Remove a placeholder from a team](https://developer.runn.io/reference/delete_placeholders-placeholderid-teams-teamid.md) - [Add a placeholder to a team](https://developer.runn.io/reference/post_placeholders-placeholderid-teams.md) - [Create a placeholder](https://developer.runn.io/reference/post_placeholders.md): Also creates a contract that defaults to the role cost. Please note that placeholders that are not assigned to a project will be deleted within 24 hours. - [List placeholders](https://developer.runn.io/reference/get_placeholders.md): Note: The /people/* endpoints also allows getting information on placeholders when using the `includePlaceholders` query parameter. - [Create a project tag](https://developer.runn.io/reference/post_project-tags.md) - [List project tags](https://developer.runn.io/reference/get_project-tags.md) - [Show a project tag](https://developer.runn.io/reference/get_project-tags-projecttagid.md) - [Update a project tag](https://developer.runn.io/reference/patch_project-tags-projecttagid.md) - [Create a project](https://developer.runn.io/reference/post_projects.md) - [Delete a project](https://developer.runn.io/reference/delete_projects-projectid.md): Delete a project by id. You cannot delete a project that has any actuals or assignments. - [List projects](https://developer.runn.io/reference/get_projects.md): See `GET /people/{id}/projects` for all projects by person - [Show a project](https://developer.runn.io/reference/get_projects-projectid.md) - [Update a project](https://developer.runn.io/reference/patch_projects-projectid.md) - [List actuals for a project](https://developer.runn.io/reference/get_projects-projectid-actuals.md) - [List assignments for a project](https://developer.runn.io/reference/get_projects-projectid-assignments.md) - [Add a checkbox custom value to a project](https://developer.runn.io/reference/patch_projects-projectid-custom-fields-checkbox.md) - [Add a date custom field value to a project](https://developer.runn.io/reference/patch_projects-projectid-custom-fields-date.md) - [Add a select custom field to a project](https://developer.runn.io/reference/patch_projects-projectid-custom-fields-select.md) - [Add a text custom field value to a project](https://developer.runn.io/reference/patch_projects-projectid-custom-fields-text.md) - [List project custom fields](https://developer.runn.io/reference/get_projects-custom-fields.md): List all custom fields across all projects - [Create a project budget role](https://developer.runn.io/reference/post_projects-projectid-budget-roles.md): Create a project budget role for a project. You cannot create a project budget role using estimated budget if a project rate does not exist for the role because the project rate is used to set the estimatedMinutes. - [Get a paginated list of project budget roles for a project](https://developer.runn.io/reference/get_projects-projectid-budget-roles.md) - [Update a project budget role](https://developer.runn.io/reference/patch_projects-projectid-budget-roles-roleid.md): Update a project budget role for a project. You cannot update a project budget role using estimated budget if a project rate does not exist for the role because the project rate is used to set the estimatedMinutes. - [Delete a project budget role](https://developer.runn.io/reference/delete_projects-projectid-budget-roles-roleid.md): Delete a project budget role for a project. You cannot delete a project budget role if it is implicitly created from a project membership. - [Get a project budget role](https://developer.runn.io/reference/get_projects-projectid-budget-roles-roleid.md) - [List budget roles](https://developer.runn.io/reference/get_budget-roles.md): List all budget roles across all projects - [List project milestones](https://developer.runn.io/reference/get_milestones.md): List all milestones across all projects - [List milestones for a project](https://developer.runn.io/reference/get_projects-projectid-milestones.md) - [Delete a milestone for a project](https://developer.runn.io/reference/delete_projects-projectid-milestones-milestoneid.md) - [Create a milestone for a project](https://developer.runn.io/reference/post_projects-projectid-milestones.md) - [Update a milestone for a project](https://developer.runn.io/reference/patch_projects-projectid-milestones-milestoneid.md) - [Create a project note](https://developer.runn.io/reference/post_projects-projectid-notes.md): Defaults creator to 'API' user - [List project notes](https://developer.runn.io/reference/get_project-notes.md): List all project notes across all projects - [List notes for a project](https://developer.runn.io/reference/get_projects-projectid-notes.md) - [Create an other expense for a project](https://developer.runn.io/reference/post_projects-projectid-other-expenses.md) - [Update an other expense on a project](https://developer.runn.io/reference/patch_projects-projectid-other-expenses-otherexpenseid.md) - [List other expenses for a project](https://developer.runn.io/reference/get_projects-projectid-other-expenses.md) - [List other expenses](https://developer.runn.io/reference/get_other-expenses.md): List all other expenses across all projects - [List phases for a project](https://developer.runn.io/reference/get_projects-projectid-phases.md) - [Show a phase for a project](https://developer.runn.io/reference/get_projects-projectid-phases-phaseid.md) - [Create a phase for a project](https://developer.runn.io/reference/post_projects-projectid-phases.md) - [Update a phase for a project](https://developer.runn.io/reference/patch_projects-projectid-phases-phaseid.md) - [Delete a phase for a project](https://developer.runn.io/reference/delete_projects-projectid-phases-phaseid.md) - [List phases](https://developer.runn.io/reference/get_phases.md): List all phases across all projects - [List people assigned to a project](https://developer.runn.io/reference/get_projects-projectid-people.md) - [List members of projects](https://developer.runn.io/reference/get_project-members.md): This endpoint excludes changes for when people are removed from a project - [Create a person request on a project](https://developer.runn.io/reference/post_projects-projectid-person-requests.md): Person requests are used to request a placeholder role be filled with a person in the account or to request a new person be hired. This endpoint can be used to create a new person request. - [List person requests](https://developer.runn.io/reference/get_person-requests.md): List all person requests across all projects - [List the person requests for a project](https://developer.runn.io/reference/get_projects-projectid-person-requests.md) - [Show a single person request for a project](https://developer.runn.io/reference/get_projects-projectid-person-requests-personrequestid.md) - [Update the status of a person request on a project](https://developer.runn.io/reference/patch_projects-projectid-person-requests-personrequestid.md): Person requests are used to request a placeholder role be filled with another person in the account or to request a new person be hired. This endpoint can be used to update the status of a request to 'REQUESTED' or 'NEED_TO_HIRE', respectively. - [List role rates for a project](https://developer.runn.io/reference/get_projects-projectid-project-rates.md) - [List role rates](https://developer.runn.io/reference/get_project-rates.md): List all role rates across all projects - [Update a rate for a role on a project](https://developer.runn.io/reference/patch_projects-projectid-project-rates-projectrateid.md) - [Show a timesheet lock for a project](https://developer.runn.io/reference/get_projects-projectid-timesheet-lock.md): This feature currently in beta and only available to selected customers. - [Update a timesheet lock for a project](https://developer.runn.io/reference/patch_projects-projectid-timesheet-lock.md): This feature currently in beta and only available to selected customers.This will return an error and message if all timesheets haven't been filled out to selected date. - [Add a project tag to a project](https://developer.runn.io/reference/post_project-tags-projecttagid-project-projectid.md) - [Remove a project tag from a project](https://developer.runn.io/reference/delete_project-tags-projecttagid-project-projectid.md) - [Add a workstream to a project](https://developer.runn.io/reference/post_projects-projectid-project-workstreams-workstreamid.md) - [Delete project workstream](https://developer.runn.io/reference/delete_projects-projectid-project-workstreams-workstreamid.md) - [List project workstreams](https://developer.runn.io/reference/get_project-workstreams.md): List all project workstreams across all projects - [List workstreams assigned to a project](https://developer.runn.io/reference/get_projects-projectid-project-workstreams.md) - [View project workstream](https://developer.runn.io/reference/get_projects-projectid-project-workstreams-workstreamid.md) - [Create a rate card](https://developer.runn.io/reference/post_rate-cards.md) - [Delete a rate card](https://developer.runn.io/reference/delete_rate-cards-ratecardid.md): Rate cards that are internal, standard, or have projects cannot be deleted - [List rate cards](https://developer.runn.io/reference/get_rate-cards.md) - [Show a rate card](https://developer.runn.io/reference/get_rate-cards-ratecardid.md) - [Update a rate card](https://developer.runn.io/reference/patch_rate-cards-ratecardid.md) - [Get by-day entries for a person with assignments and actuals](https://developer.runn.io/reference/get_reports-hours-people-personid.md) - [Show metrics (beta)](https://developer.runn.io/reference/get_reports-people-personid.md): Get a report for a person containing data from the People Overview Report. This endpoint is available only to Advanced Plan users, and the beta is currently closed. Please contact help@runn.io if you'd like to join the waiting list. - [Get by-day entries for a project with assignments and actuals](https://developer.runn.io/reference/get_reports-hours-projects-projectid.md) - [List totals for projects with assignments and actuals](https://developer.runn.io/reference/get_reports-totals-projects.md) - [Show metrics (beta)](https://developer.runn.io/reference/get_reports-projects-projectid.md): Get a report for a project containing data from the Project Overview Report. Tentative projects are included: as in the in-app report, days scheduled before today are treated as not having materialised and are excluded from a tentative project's metrics. This endpoint is available only to Advanced Plan users, and the beta is currently closed. Please contact help@runn.io if you'd like to join the waiting list. - [Show totals for a project with assignments and actuals](https://developer.runn.io/reference/get_reports-totals-projects-projectid.md) - [List roles](https://developer.runn.io/reference/get_roles.md) - [Create a role](https://developer.runn.io/reference/post_roles.md) - [Show a role](https://developer.runn.io/reference/get_roles-roleid.md) - [Update a role](https://developer.runn.io/reference/patch_roles-roleid.md) - [Add people to a skill](https://developer.runn.io/reference/post_skills-skillid-people.md) - [Create a skill](https://developer.runn.io/reference/post_skills.md) - [Delete a skill](https://developer.runn.io/reference/delete_skills-skillid.md) - [List people for a skill](https://developer.runn.io/reference/get_skills-skillid-people.md) - [List skills](https://developer.runn.io/reference/get_skills.md) - [Show a skill](https://developer.runn.io/reference/get_skills-skillid.md) - [Update a skill](https://developer.runn.io/reference/patch_skills-skillid.md) - [List teams](https://developer.runn.io/reference/get_teams.md) - [Create a team](https://developer.runn.io/reference/post_teams.md) - [Show a team](https://developer.runn.io/reference/get_teams-teamid.md) - [Update a team](https://developer.runn.io/reference/patch_teams-teamid.md) - [Delete a team](https://developer.runn.io/reference/delete_teams-teamid.md) - [List people in a team](https://developer.runn.io/reference/get_teams-teamid-people.md) - [List holiday time offs](https://developer.runn.io/reference/get_time-offs-holidays.md) - [Create a leave time off](https://developer.runn.io/reference/post_time-offs-leave.md): #### Create or Update This endpoint may return an existing time off if the new time off is a subset of an existing one. #### Automatic Merging If one or more existing time offs overlap with the specified start/end date, they will be automatically merged. #### Partial Time Offs If the `minutesPerDay` field is provided, automatic merging will only occur if any overlapping time off has the same `minutesPerDay` value. If the `minutesPerDay` value differs, the request will fail. - [Create leave time offs in bulk](https://developer.runn.io/reference/post_time-offs-leave-bulk.md): #### Create or Update This endpoint may return existing time offs if the new time off is a subset of an existing one. #### Automatic Merging If one or more existing time offs overlap with the specified start/end date, they will be automatically merged. #### Partial Time Offs If the `minutesPerDay` field is provided, automatic merging will only occur if any overlapping time off has the same `minutesPerDay` value. If the `minutesPerDay` value differs, the request will fail. - [Delete a leave time off](https://developer.runn.io/reference/delete_time-offs-leave-timeoffid.md) - [Delete leave time offs in bulk](https://developer.runn.io/reference/delete_time-offs-leave-bulk.md) - [List leave time offs](https://developer.runn.io/reference/get_time-offs-leave.md) - [Show a leave time off](https://developer.runn.io/reference/get_time-offs-leave-timeoffid.md) - [Delete a rostered time off](https://developer.runn.io/reference/delete_time-offs-rostered-off-timeoffid.md) - [List rostered time offs](https://developer.runn.io/reference/get_time-offs-rostered-off.md) - [Allocate a view to a user](https://developer.runn.io/reference/post_users-userid-views-viewid.md) - [Delete a user](https://developer.runn.io/reference/delete_users-userid.md) - [List allocated views for a user](https://developer.runn.io/reference/get_users-userid-views.md) - [List users](https://developer.runn.io/reference/get_users.md): See `POST /invitations` for creating users - [Remove allocated view from user](https://developer.runn.io/reference/delete_users-userid-views-viewid.md) - [Show a user](https://developer.runn.io/reference/get_users-userid.md) - [Convert a legacy ID from API v0 to a new ID](https://developer.runn.io/reference/get_legacy-id-model-legacyid.md) - [List views](https://developer.runn.io/reference/get_views.md) - [Create a workstream](https://developer.runn.io/reference/post_workstreams.md) - [Delete a workstream](https://developer.runn.io/reference/delete_workstreams-workstreamid.md) - [List workstreams](https://developer.runn.io/reference/get_workstreams.md) - [Update a workstream](https://developer.runn.io/reference/patch_workstreams-workstreamid.md) - [Show a workstream](https://developer.runn.io/reference/get_workstreams-workstreamid.md) ## Changelog - [Return the missing Accept-Version error instead of a bare 404](https://developer.runn.io/changelog/return-the-missing-accept-version-error-instead-of-a-bare-404.md) - [Return 400 instead of 500 for malformed legacy ids](https://developer.runn.io/changelog/return-400-instead-of-500-for-malformed-legacy-ids.md) - [Update a person's contract with PATCH /people/{personId}/contracts/{contractId}](https://developer.runn.io/changelog/update-a-persons-contract-with-patch-peoplepersonidcontractscontractid.md) - [Add POST /status liveness check](https://developer.runn.io/changelog/add-post-status-liveness-check.md) - [Prevent placeholders from having multiple project memberships](https://developer.runn.io/changelog/prevent-placeholders-from-having-multiple-project-memberships.md) - [Standard rate card can now be updated via the API](https://developer.runn.io/changelog/standard-rate-card-can-now-be-updated-via-the-api.md) - [Project report endpoint now includes tentative projects](https://developer.runn.io/changelog/project-report-endpoint-now-includes-tentative-projects.md) - [Unassigned placeholder cleanup now keyed on project assignment](https://developer.runn.io/changelog/unassigned-placeholder-cleanup-now-keyed-on-project-assignment.md) - [Add budgetMethod to projects, add budget to phases for Phase and Role projects](https://developer.runn.io/changelog/add-budgetmethod-to-projects-add-budget-to-phases-for-phase-and-role-projects.md) - [Add budget to phases](https://developer.runn.io/changelog/add-budget-to-phases.md)